Subject: Compiling C++ example from dllhelpers-0.2.8 results in warnings - is this normal?
From: "Ronald Landheer" <[email-masked]>
To: <[email-masked]>
Cc: "Charles Wilson" <[email-masked]>
Date: Thu, 20 Sep 2001 18:08:53 +0200

Hello all,

This is no big deal - no worries.

Because there'd been a lot of discussion here about DLL's bumping into 
eachother, and because Charles Wilson has released a new version of
dllhelpers right after, I downloaded & compiled.
'make'-ing the C++ example results in this:
-- BEGIN SNIPPET --
$ make
c++ -c  -I. -g  -o dllclass.o dllclass.cc
c++ -c  -I. -g  -o dllexterns.o dllexterns.cc
g++ -shared -Wl,--out-implib=libcxxdll.dll.a \
-o cygcxxdll.dll dllclass.o dllexterns.o -Wl,--export-all -Wl,--enable-auto-import
Creating library file: libcxxdll.dll.a
c++ -c -I. -g  -o usedll.o usedll.cc
c++ -o usedll.exe -g  -Wl,--enable-auto-import usedll.o -L./ -lcxxdll
Warning: resolving DllClass::instances   by linking to __imp___8DllClass$instances (auto-import)
Warning: resolving _global_dllclass2 by linking to __imp__global_dllclass2 (auto-import)
Warning: resolving _global_dllclass1 by linking to __imp__global_dllclass1 (auto-import)
Warning: resolving _global_int_variable by linking to __imp__global_int_variable (auto-import)
-- END SNIPPET --
Because I don't like warnings, I thought I'd report it, though it's 
probably already known (?) and considered normal behaviour (?).
The example works fine, by the way - no problem @all

Greetz!

Ronald

NB: I get the same kind of auto-import warning with the c_and_c++ 
    example.. The other two are OK - no prob.
NNB: My post of Wed 19-09-2001 11:35 contains a cygcheck.out - nothing
     has changed since: still Win98 SE w/ every latest thing of Cygwin

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/